阿里云
服务器地域选择
发表主题 回复主题
  • 243982阅读
  • 527回复

阿里云LNAMP(Linux + Nginx + Apache + MySQL + PHP)环境一键安装脚本

级别: 论坛版主
发帖
3273
云币
10680
* 我签名里的QQ不免费解决或者解答任何问题,加之前请看清楚。 v+Y^mV`|  
* 这个脚本可以在阿里上正常安装,在不错误修改配置文件和不安装其他冲突软件的情况下可以正常运行使用,所以,在修改配置文件和安装其他软件的时候请考虑清楚后果,本帖里无法提供这方面的协助。 &o t^+uVH  
lN5PKsGl  
5cQ]vb  
简单说明: v*GS>S  
使用这个脚本可以动化安装Nginx(处理前端静态请求), Apache(作为后端处理PHP请求), MySQL, PHP,FTP等Linux系统必需的服务环境。 z$%8'  
支持CentOS,Debian和Ubuntu的所有主流版本(测试过的版本包括CentOS-5.9-i386, CentOS-5.9-x86_64, CentOS-6.4-i386, CentOS-6.4-x86_64, Debian-6-32bit, Debian-6-64-bit, Debian-7-32bit, Debian-7-64-bit, Ubuntu-10-32bit, Ubuntu-10-64bit, Ubuntu-11-32bit, Ubuntu-11-64bit, Ubuntu-12-32bit, Ubuntu-12-64bit, Ubuntu-13-32bit, Ubuntu-13-64bit) _(' @'r  
s-WZ3g  
为什么要用LNAMP? YzZj=]\`b  
如果使用LNMP,也就是以php-fpm方式跑PHP,稳定性欠佳,经常遇到的错误如:Nginx 502 Bad Gateway。 }6%\/d1~ 6  
如果使用LAMP,Apache在处理前端HTTP请求时的效率要比Nginx低非常多。 )#\3c,<Y  
以Nginx Apache方式运行网站程序则可以充分利用这二者的优势:Nginx的高效和Apache的稳定。 U ^O4HJ  
Hn)? xw]x  
并且,本程序会根据不同的主机硬件情况自动优化服务器软件配置参数,充份利用主机资源。 e#mf{1&  
EmUn&p%hI  
由于不同的网站程序可能会对PHP版本有要求,比如,有些网站程序只能运行在PHP5.2下。 所以,本安装脚本提供定制安装指定版本的PHP,支持的版本包括,PHP5.2、PHP5.3、PHP5.4、PHP5.5共四个版本。具体的安装方法请见后文。 vD9.X}l]  
_)Txg2?=  
安装步骤: MH'%E^n `  
* 注意:如果主机上已经通过任何其他方式安装了服务器环境,请在使用本脚本前,重装系统!(注意备份数据) *.wj3' wV  
>T [Y>]  
(1)安装screen和python命令 C,> n  
由于安装脚本是使用Python语言编写的,所以需要安装python命令才能执行。 W%^!<bFk}m  
同时,为了防止安装过程中出现SSH掉线的问题,建议先安装screen命令工具。 1:T"jsWw  
CentOS系统下的安装方法为: mk~CE  
yum install -y screen R-ek O7z  
(CentOS系统基本都已经安装了python命令,无需再次安装,因为yum本身就是Python程序。 {RI^zNgs[  
Debian和Ubuntu系统下的安装方法为: ERK{smL  
apt-get install -y screen python :/][ n9J^  
lj&\F|-i  
(2)建立screen窗口 RLQ*&[A}  
安装screen后使用下面的命令开启一个screen窗口: [vb#W!M&|  
screen -S lnamp .0U[n t6  
后面的所有操作都在这个screen窗口中进行。 'Bt!X^  
如果安装途中由于网络问题导致SSH连接掉线,那么可以重新连接SSH后,用下面的命令打开安装窗口: /K!f3o+  
screen -x lnamp 8irTGA  
8o,0='U  
(3)安装LNAMP Vtj*O'0  
上面的准备工作结束后开始正式安装LNAMP。 tuwlsBV  
输入下面的命令,然后安装脚本将会自动安装LNAMP环境。 #G0'Q2  
wget -O - http://www.server110.com/lnamp/ | python gk8 v{'0Er  
安装结束后,会在屏幕显示服务器帐号密码信息。同时这些信息会保存在/root/setup.txt,方便日后查看。 NqKeQezX  
TK'y-5W  
自定义PHP版本: -9+$z|K  
安装脚本默认情况下会安装PHP5.2(with ZendOptimizer 3.3.9 and XCache),一般情况下,没有必要修改。 X_ Lt{mf  
如果网站程序的说明文档里对运行环境的PHP版本有其他要求,比如一定要在PHP5.3下才能运行,那么就需要安装对应的PHP版本了。 A-myY30  
本安装脚本可支持的PHP版本有:5.2(默认)、5.3、5.4、5.5。 t6 -fG/Kc  
以指定安装PHP5.3为例,需要使用下面的命令参数: #H Jlm1d  
wget -O - http://www.server110.com/lnamp/ | python - -p 5.3 B!)9 >  
PK&&Vu2M  
2'W# x  
PS,wordpress用户请不要使用5.2,详情见: qycf;Kl:6  
http://bbs.aliyun.com/read/164642.html -3d`e2^&}  
ia /#`#.  
`]19}GK~xo  
添加站点: J]S6%omp>  
* 注意:操作过程中需要输入的内容已经用红框圈出。 zJ1M$ U  
ca0vN^Ji  
(1)输入site命令,提示选择需要的操作,输入数字1,然后回车。 dW5r]D[Cx  
>N`, 3;Z  
<]oPr1  
(2)输入网站要使用的目录,比如这里输入的为'server110.com',那么网站将使用的目录全路径为'/home/www/server110.com'。 a.O"I3{?h  
v=dN$B5y3  
z8D,[`  
(3)输入需要绑定的域名,注意不要带'www.',比如输入'server110.com',程序会自动把'www.server110.com'这个域名也给绑定上,这个域名就不需要我们输入了。 zh?B-"O=5  
zC[LcC*+J  
6oq^n s-  
绑定域名后,程序会自动重载Nginx和Apache的配置,以使绑定生效。 W S9:*YH  
TOq xl  
经过上面这些操作后,程序会将'server110.com','www.server110.com', 'server110.net','www.server110.com'这四个域名绑定在'/home/www/server110.com'这个目录上。 l% %cU"  
? )IH#kL  
由于安全原因,使用www这个用户登录FTP时活动范围被限制在了'/home/www/'这个目录下,我们在FTP里看到的'server110.com'这个目录,实际在系统里的完整路径即为'/home/www/server110.com/',把网站程序上传到'server110.com'这个目录即可。如下图: vu*{+YpH  
wc}x [cS  
q9^.f9-  
m^/>C -&C  
FO]f 4@  
其他常用使用帮助: @ K2Ncb7  
LNAMP环境管理教程目录 K6~')9 Q  
G[zysxd  
NLgeBLB  
)J[Ady^5  
9]{Ss$W3x  
<X97W\  
^:O*Sx.CA  
zFwO(  
[ 此帖被服务器之家在2014-09-17 12:11重新编辑 ]
本帖最近评分记录: 16 条评分 云币 +21
beatricezeng 云币 +1 我在一键安装lnamp的时候,输入代码结果出现一个404 not found怎么办呢? 2015-08-06
vicy 云币 +1 - 2014-12-08
口罩下的笑 云币 +1 这个要mark 一下 2014-12-03
work53 云币 +1 互联军事http://www.com9g.cn/ 2014-12-02
supper勇 云币 +1 您的无私奉献精神值得我们学习!向您致敬! 2014-11-04
mebeber 云币 +1 AI NI 2014-11-03
wide 云币 +1 您的帖子很精彩!希望很快能再分享您的下一帖! 2014-10-04
asky8 云币 +1 赞一个 2014-08-27
西贝庄 云币 +1 优秀文章-欢迎进行技术分享,感谢你的支持! 2014-08-17
187460535593397 云币 +1 谢谢 http://bbs.shoujifans.com 2014-07-15
本人非阿里云员工,所有言论不代表阿里云公司观点。
有偿提供:环境安装、配置、优化,数据迁移,安全加固,攻击防护,故障排除,长期代维等技术服务。
级别: 论坛版主
发帖
3273
云币
10680
只看该作者 置顶  来自2楼 发表于: 2014-02-14
— (服务器之家) 执行 帖内置顶 操作 (2014-02-14 15:28) —
FAQ: x C>>K6Nb  
V4%7Xj  
LNAMP是不是比LNMP更费内存? 7q^a@5f BG  
LNAMP中处理PHP程序的是Apache,LNMP处理PHP程序的是PHP-FPM,这二者占用的内存是差不多的。 Y3luU&'  
o6:p2W  
LNAMP为什么会比LNMP更稳定? Fz_8m4  
原因同上,Apache是全世界流行了十几年的服务器程序,稳定性自然不在话下,而PHP-FPM是以PHP解释器引擎本身添加进了“服务器”的功能特性实现的,尤其在大负载情况下差异更为突出。 B|BJkY'  
{Hxziyv~Y(  
LNAMP为什么会比LAMP更高效? 9kU|?JE  
LNAMP中处理静态请求的是NGINX,LAMP中处理静态请求的是APACHE。 }Ot2; T  
NGINX主要是以多线程的方式工作的,也就是它只需要一个进程,就可以处理大量的并发请求。而APACHE是以进程的方式工作,每处理一个请求,就需要占用一个进程。进程和线路的区别应该不需要多解释了。 rAQ3x0  
APACHE也可以使用线程的方式,但是这样的话,它处理PHP解析也会同样使用多线程,流量稍高点的环境中会严重影响稳定性。 2wZyUB;  
[i N}W5 m  
为什么不带面板? )XD$YI  
原因1:本人不擅长写WEB程序。 l8!n!sC[,  
原因2:任何带有面板的环境套件,对环境本身的修改都有很大的限制,比如流量达到几万IP的时候,你再想优化下环境,一旦有些配置你修改了,就可能会导致面板出问题。 /57)y_ \  
[ 此帖被服务器之家在2014-06-10 10:02重新编辑 ]
本帖最近评分记录: 1 条评分 云币 +1
asky8 云币 +1 必须赞! 2014-08-27
本人非阿里云员工,所有言论不代表阿里云公司观点。
有偿提供:环境安装、配置、优化,数据迁移,安全加固,攻击防护,故障排除,长期代维等技术服务。
级别: 科学怪人
发帖
9391
云币
14623
只看该作者 沙发  发表于: 2014-02-14
看起来很牛逼的样子
级别: 论坛版主
发帖
3273
云币
10680
只看该作者 板凳  发表于: 2014-02-14
— (服务器之家) 执行 帖内置顶 操作 (2014-02-14 15:28) —
FAQ: q4V7  
VN%INUi@  
LNAMP是不是比LNMP更费内存? j2 !3rI  
LNAMP中处理PHP程序的是Apache,LNMP处理PHP程序的是PHP-FPM,这二者占用的内存是差不多的。 JgHM?AWg|  
j;+?HbL  
LNAMP为什么会比LNMP更稳定?  [~&XL0  
原因同上,Apache是全世界流行了十几年的服务器程序,稳定性自然不在话下,而PHP-FPM是以PHP解释器引擎本身添加进了“服务器”的功能特性实现的,尤其在大负载情况下差异更为突出。 '?({;/L  
$-On~u0g  
LNAMP为什么会比LAMP更高效?  f3UXCp  
LNAMP中处理静态请求的是NGINX,LAMP中处理静态请求的是APACHE。 $Y 7c  
NGINX主要是以多线程的方式工作的,也就是它只需要一个进程,就可以处理大量的并发请求。而APACHE是以进程的方式工作,每处理一个请求,就需要占用一个进程。进程和线路的区别应该不需要多解释了。 UUMtyf  
APACHE也可以使用线程的方式,但是这样的话,它处理PHP解析也会同样使用多线程,流量稍高点的环境中会严重影响稳定性。 [V}S <Xp  
R6=$u{D  
为什么不带面板? B<-kzt  
原因1:本人不擅长写WEB程序。 w^]6w\p  
原因2:任何带有面板的环境套件,对环境本身的修改都有很大的限制,比如流量达到几万IP的时候,你再想优化下环境,一旦有些配置你修改了,就可能会导致面板出问题。 A=kH%0s2p@  
[ 此帖被服务器之家在2014-06-10 10:02重新编辑 ]
本帖最近评分记录: 1 条评分 云币 +1
asky8 云币 +1 必须赞! 2014-08-27
本人非阿里云员工,所有言论不代表阿里云公司观点。
有偿提供:环境安装、配置、优化,数据迁移,安全加固,攻击防护,故障排除,长期代维等技术服务。
级别: 码农
发帖
214
云币
236
只看该作者 地板  发表于: 2014-02-14
Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本
看起来挺好的样子
级别: 小白
发帖
5
云币
5
只看该作者 4楼 发表于: 2014-02-14
Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本
落伍的兄弟啊,支持了
级别: 菜鸟
发帖
35
云币
57
只看该作者 5楼 发表于: 2014-02-14
Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本
支持呀,今天就试试
级别: 论坛版主
发帖
4952
云币
16507
只看该作者 6楼 发表于: 2014-02-15
你是我偶像
级别: 技术砖家
发帖
996
云币
2922
只看该作者 7楼 发表于: 2014-02-15
级别: 新人
发帖
14
云币
18
只看该作者 8楼 发表于: 2014-02-15
Re
以后可以考虑升级脚本,比如升级php,nginx等
级别: 论坛版主
发帖
3273
云币
10680
只看该作者 9楼 发表于: 2014-02-15
Re:Re
引用
引用第8楼imhua于2014-02-15 23:27发表的 Re : 4}b:..Ku  
以后可以考虑升级脚本,比如升级php,nginx等 g[Y$SgJ  
iTyApLV  
在计划中
本人非阿里云员工,所有言论不代表阿里云公司观点。
有偿提供:环境安装、配置、优化,数据迁移,安全加固,攻击防护,故障排除,长期代维等技术服务。
级别: 小白
发帖
2
云币
2
只看该作者 10楼 发表于: 2014-02-16
Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本
安装过程有错误 a+Nd%hoe  
make[2]: *** No rule to make target `/usr/lib/libcurses.so', needed by `client/mysql'.  Stop. Tj#XsD?J  
make[1]: *** [client/CMakeFiles/mysql.dir/all] Error 2 n*uZ=M_/Q  
make: *** [all] Error 2 y2>] gX5  
Ved:w^ ,  
Error Occured! ;RYKqUE  
:zoX Xo  
Current Work Dir: gA*zFhGVS7  
/tmp/dir/mysql-5.5.36 E{B<}n|}&  
Command: "+60B0>sc  
make -j 1 && make install
级别: 论坛版主
发帖
3273
云币
10680
只看该作者 11楼 发表于: 2014-02-16
Re:Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本
引用
引用第10楼xinde于2014-02-16 10:23发表的 Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本 : IaW8  
安装过程有错误 C]}0h!_V  
make[2]: *** No rule to make target `/usr/lib/libcurses.so', needed by `client/mysql'.  Stop. ?U&onGy  
make[1]: *** [client/CMakeFiles/mysql.dir/all] Error 2 gxF3gM  
make: *** [all] Error 2 3oj30L.  
,MdCeA%`  
....... r*$KF!-dg  
H&I 0\upd  
%"o4IYV#  
发行版,版本号,位数,这些能否提供下? tUzuel*  
方便的话最好能PM下IP和密码。 ^7=yjD`  
Mv_4*xVc  
x\)-4w<P  
错误是因为缺少libcurses这个库,不同的系统里名字可能会不一样。
本人非阿里云员工,所有言论不代表阿里云公司观点。
有偿提供:环境安装、配置、优化,数据迁移,安全加固,攻击防护,故障排除,长期代维等技术服务。
级别: 小白
发帖
2
云币
2
只看该作者 12楼 发表于: 2014-02-16
Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本
就是阿里云主机,5.8 64位,重置系统后,安装的这个软件包,选择php5.4版本,无其他!
级别: 小白
发帖
1
云币
1
只看该作者 13楼 发表于: 2014-02-16
Re阿里云LNAMPLinuxNginxApacheMySQLPHP环境一键安装脚本
ln: creating symbolic link `/usr/bin/resolve_stack_dump': File exists C4ge_u#  
/usr/local/mysql/bin/mysqladmin: connect to server at 'localhost' failed ?z p$Wz;k  
error: 'Access denied for user 'root'@'localhost' (using password: NO)' !Vy/-N  
t '* L,  
Error Occured! 8KN0z<  
PU[] Nw  
Current Work Dir: =#^\ 9|?$  
/tmp/dir _>0 I9.[5  
Command: r3;?]r.}7  
/usr/local/mysql/bin/mysqladmin -u root password wrCF8xIn #Mrof9  
在是什么错误,怎么处理? ~x4]^XS  
php-5.5.9.tar.gz 官方源太慢了,更换国内镜像吧
发表主题 回复主题
« 返回列表
«12345678910»
共36页
上一主题下一主题